[Geany-Users] Fedora 25 Repo is Missing geany-plugins

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Geany-Users] Fedora 25 Repo is Missing geany-plugins

Fedge No
The Fedora plugins documentation page is a little outdated. The page
shows to use yum, not dnf and the repo doesn't have a package with the
name geany-plugins. I suppose the yum command is still mapped to dnf and
that would be better for CentOS users or something. I was hoping to
install them all with one shot but it looks like I will have to do them
individually for now. There seems to be two versions of
geany-plugins-lipsum that conflict as well so dnf install
geany-plugins-* doesn't work, either. I don't know if this is all
intentional but I found it a bit inconvenient. Most people using Geany
probably know how to work around this sort of stuff but it is what it is.

_______________________________________________
Users mailing list
[hidden email]
https://lists.geany.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Geany-Users] Fedora 25 Repo is Missing geany-plugins

Dominic Hopf
Greetings,

as far as I can see the current Geany-Plugins 1.29 should be available in the stable Fedora 25 repositories:


Please note that, with dnf, the usage for the installation changed a bit and you will have to put quotes around the package pattern:

    sudo dnf install 'geany-plugins-*'

However, you are right that the installation instructions on the website were not up-to-date. This now has been fixed with http://tiny.cc/q4qphy

Regards,
Dominic



On Tue, Dec 13, 2016 at 6:01 AM, Fedge No <[hidden email]> wrote:
The Fedora plugins documentation page is a little outdated. The page
shows to use yum, not dnf and the repo doesn't have a package with the
name geany-plugins. I suppose the yum command is still mapped to dnf and
that would be better for CentOS users or something. I was hoping to
install them all with one shot but it looks like I will have to do them
individually for now. There seems to be two versions of
geany-plugins-lipsum that conflict as well so dnf install
geany-plugins-* doesn't work, either. I don't know if this is all
intentional but I found it a bit inconvenient. Most people using Geany
probably know how to work around this sort of stuff but it is what it is.

_______________________________________________
Users mailing list
[hidden email]
https://lists.geany.org/cgi-bin/mailman/listinfo/users



--
Diese E-Mail ist nicht mit GPG signiert, da ich sie vom Webinterface aus geschrieben habe.

This mail is not signed with GPG because I wrote it from web interface.

_______________________________________________
Users mailing list
[hidden email]
https://lists.geany.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Geany-Users] Fedora 25 Repo is Missing geany-plugins

Fedge No
If you have a look at that link it apparently shows that both geany and
geany-plugins failed rpmlint, whatever that is. That's probably why the
plugins aren't available as a single package. I am not sure why geany
itself is. Maybe an older version was provided before the new one
failed that lint test.

On Tue, 2016-12-13 at 10:01 +0100, Dominic Hopf wrote:

> Greetings,
>
> as far as I can see the current Geany-Plugins 1.29 should be
> available in the stable Fedora 25 repositories:
>
>     https://bodhi.fedoraproject.org/updates/FEDORA-2016-01ad22d5c5
>
> Please note that, with dnf, the usage for the installation changed a
> bit and you will have to put quotes around the package pattern:
>
>     sudo dnf install 'geany-plugins-*'
>
> However, you are right that the installation instructions on the
> website were not up-to-date. This now has been fixed with http://tiny
> .cc/q4qphy
>
> Regards,
> Dominic
>
>
>
> On Tue, Dec 13, 2016 at 6:01 AM, Fedge No <[hidden email]>
> wrote:
> > The Fedora plugins documentation page is a little outdated. The
> > page
> > shows to use yum, not dnf and the repo doesn't have a package with
> > the
> > name geany-plugins. I suppose the yum command is still mapped to
> > dnf and
> > that would be better for CentOS users or something. I was hoping to
> > install them all with one shot but it looks like I will have to do
> > them
> > individually for now. There seems to be two versions of
> > geany-plugins-lipsum that conflict as well so dnf install
> > geany-plugins-* doesn't work, either. I don't know if this is all
> > intentional but I found it a bit inconvenient. Most people using
> > Geany
> > probably know how to work around this sort of stuff but it is what
> > it is.
> >
> > _______________________________________________
> > Users mailing list
> > [hidden email]
> > https://lists.geany.org/cgi-bin/mailman/listinfo/users
> >
>
>
>
> -- 
> Diese E-Mail ist nicht mit GPG signiert, da ich sie vom Webinterface
> aus geschrieben habe.
>
> This mail is not signed with GPG because I wrote it from web
> interface.
> _______________________________________________
> Users mailing list
> [hidden email]
> https://lists.geany.org/cgi-bin/mailman/listinfo/users
_______________________________________________
Users mailing list
[hidden email]
https://lists.geany.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Geany-Users] Fedora 25 Repo is Missing geany-plugins

Dominic Hopf
Greetings,

just to clarify the situation, I actually am the Fedora packager of Geany and Geany-Plugins. Even if there probably is a syntax issue in the RPM Specfile - which is stated by rpmlint you see some more information about this update, beneath some others, the fact that it is available in the stable Fedora repositories. There is no single Fedora package of Geany-Plugins. It is intended (and usual on Fedora) to install stuff this way:

    sudo dnf install 'geany-plugins-*'


Regards,
Dominic




On Tue, Dec 13, 2016 at 7:53 PM, Fedge No <[hidden email]> wrote:
If you have a look at that link it apparently shows that both geany and
geany-plugins failed rpmlint, whatever that is. That's probably why the
plugins aren't available as a single package. I am not sure why geany
itself is. Maybe an older version was provided before the new one
failed that lint test.

On Tue, 2016-12-13 at 10:01 +0100, Dominic Hopf wrote:
> Greetings,
>
> as far as I can see the current Geany-Plugins 1.29 should be
> available in the stable Fedora 25 repositories:
>
>     https://bodhi.fedoraproject.org/updates/FEDORA-2016-01ad22d5c5
>
> Please note that, with dnf, the usage for the installation changed a
> bit and you will have to put quotes around the package pattern:
>
>     sudo dnf install 'geany-plugins-*'
>
> However, you are right that the installation instructions on the
> website were not up-to-date. This now has been fixed with http://tiny
> .cc/q4qphy
>
> Regards,
> Dominic
>
>
>
> On Tue, Dec 13, 2016 at 6:01 AM, Fedge No <[hidden email]>
> wrote:
> > The Fedora plugins documentation page is a little outdated. The
> > page
> > shows to use yum, not dnf and the repo doesn't have a package with
> > the
> > name geany-plugins. I suppose the yum command is still mapped to
> > dnf and
> > that would be better for CentOS users or something. I was hoping to
> > install them all with one shot but it looks like I will have to do
> > them
> > individually for now. There seems to be two versions of
> > geany-plugins-lipsum that conflict as well so dnf install
> > geany-plugins-* doesn't work, either. I don't know if this is all
> > intentional but I found it a bit inconvenient. Most people using
> > Geany
> > probably know how to work around this sort of stuff but it is what
> > it is.
> >
> > _______________________________________________
> > Users mailing list
> > [hidden email]
> > https://lists.geany.org/cgi-bin/mailman/listinfo/users
> >
>
>
>
> -- 
> Diese E-Mail ist nicht mit GPG signiert, da ich sie vom Webinterface
> aus geschrieben habe.
>
> This mail is not signed with GPG because I wrote it from web
> interface.
> _______________________________________________
> Users mailing list
> [hidden email]
> https://lists.geany.org/cgi-bin/mailman/listinfo/users
_______________________________________________
Users mailing list
[hidden email]
https://lists.geany.org/cgi-bin/mailman/listinfo/users



--
Diese E-Mail ist nicht mit GPG signiert, da ich sie vom Webinterface aus geschrieben habe.

This mail is not signed with GPG because I wrote it from web interface.

_______________________________________________
Users mailing list
[hidden email]
https://lists.geany.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Geany-Users] Fedora 25 Repo is Missing geany-plugins

Fedge No
Well thanks for your time and the information. I have never really
looked into the workings of the RPM system much. I've been having this
issue since I installed Fedora 25 on a new machine, fresh install.
Here's my dnf run with a few attempts at troubleshooting on my end.
It's been exactly the same since the machine was set up.

[root@fedge ~]# dnf install geany-plugins-*
Last metadata expiration check: 1:36:46 ago on Wed Dec 14 06:17:33
2016.
Error: package geany-plugins-lipsum-1.29-1.fc25.x86_64 obsoletes geany-
plugins-geanylipsum <= 1.28 provided by geany-plugins-geanylipsum-1.28-
1.fc25.x86_64
(try to add '--allowerasing' to command line to replace conflicting
packages)
[root@fedge ~]# dnf --allowerasing install geany-plugins-*
Last metadata expiration check: 1:37:15 ago on Wed Dec 14 06:17:33
2016.
Error: package geany-plugins-lipsum-1.29-1.fc25.x86_64 obsoletes geany-
plugins-geanylipsum <= 1.28 provided by geany-plugins-geanylipsum-1.28-
1.fc25.x86_64
[root@fedge ~]# dnf remove geany-plugins-lipsum
No match for argument: geany-plugins-lipsum
Error: No packages marked for removal.

On Wed, 2016-12-14 at 12:53 +0100, Dominic Hopf wrote:

> Greetings,
>
> just to clarify the situation, I actually am the Fedora packager of
> Geany and Geany-Plugins. Even if there probably is a syntax issue in
> the RPM Specfile - which is stated by rpmlint you see some more
> information about this update, beneath some others, the fact that it
> is available in the stable Fedora repositories. There is no single
> Fedora package of Geany-Plugins. It is intended (and usual on Fedora)
> to install stuff this way:
>
>     sudo dnf install 'geany-plugins-*'
>
>
> Regards,
> Dominic
>
>
>
>
> On Tue, Dec 13, 2016 at 7:53 PM, Fedge No <[hidden email]>
> wrote:
> > If you have a look at that link it apparently shows that both geany
> > and
> > geany-plugins failed rpmlint, whatever that is. That's probably why
> > the
> > plugins aren't available as a single package. I am not sure why
> > geany
> > itself is. Maybe an older version was provided before the new one
> > failed that lint test.
> >
> > On Tue, 2016-12-13 at 10:01 +0100, Dominic Hopf wrote:
> > > Greetings,
> > >
> > > as far as I can see the current Geany-Plugins 1.29 should be
> > > available in the stable Fedora 25 repositories:
> > >
> > >     https://bodhi.fedoraproject.org/updates/FEDORA-2016-01ad22d5c
> > 5
> > >
> > > Please note that, with dnf, the usage for the installation
> > changed a
> > > bit and you will have to put quotes around the package pattern:
> > >
> > >     sudo dnf install 'geany-plugins-*'
> > >
> > > However, you are right that the installation instructions on the
> > > website were not up-to-date. This now has been fixed with http://
> > tiny
> > > .cc/q4qphy
> > >
> > > Regards,
> > > Dominic
> > >
> > >
> > >
> > > On Tue, Dec 13, 2016 at 6:01 AM, Fedge No <[hidden email]>
> > > wrote:
> > > > The Fedora plugins documentation page is a little outdated. The
> > > > page
> > > > shows to use yum, not dnf and the repo doesn't have a package
> > with
> > > > the
> > > > name geany-plugins. I suppose the yum command is still mapped
> > to
> > > > dnf and
> > > > that would be better for CentOS users or something. I was
> > hoping to
> > > > install them all with one shot but it looks like I will have to
> > do
> > > > them
> > > > individually for now. There seems to be two versions of
> > > > geany-plugins-lipsum that conflict as well so dnf install
> > > > geany-plugins-* doesn't work, either. I don't know if this is
> > all
> > > > intentional but I found it a bit inconvenient. Most people
> > using
> > > > Geany
> > > > probably know how to work around this sort of stuff but it is
> > what
> > > > it is.
> > > >
> > > > _______________________________________________
> > > > Users mailing list
> > > > [hidden email]
> > > > https://lists.geany.org/cgi-bin/mailman/listinfo/users
> > > >
> > >
> > >
> > >
> > > -- 
> > > Diese E-Mail ist nicht mit GPG signiert, da ich sie vom
> > Webinterface
> > > aus geschrieben habe.
> > >
> > > This mail is not signed with GPG because I wrote it from web
> > > interface.
> > > _______________________________________________
> > > Users mailing list
> > > [hidden email]
> > > https://lists.geany.org/cgi-bin/mailman/listinfo/users
> > _______________________________________________
> > Users mailing list
> > [hidden email]
> > https://lists.geany.org/cgi-bin/mailman/listinfo/users
> >
>
>
>
> -- 
> Diese E-Mail ist nicht mit GPG signiert, da ich sie vom Webinterface
> aus geschrieben habe.
>
> This mail is not signed with GPG because I wrote it from web
> interface.
> _______________________________________________
> Users mailing list
> [hidden email]
> https://lists.geany.org/cgi-bin/mailman/listinfo/users
_______________________________________________
Users mailing list
[hidden email]
https://lists.geany.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Geany-Users] Fedora 25 Repo is Missing geany-plugins

Dominic Hopf
Hi Fedge,

this indeed seems to be a bug/a mistake I made. I've built new packages which should fix that. You will see here as soon as the updates are available:



Thanks very much for reporting this & Regards,
Dominic

On Wed, Dec 14, 2016 at 4:59 PM, Fedge No <[hidden email]> wrote:
Well thanks for your time and the information. I have never really
looked into the workings of the RPM system much. I've been having this
issue since I installed Fedora 25 on a new machine, fresh install.
Here's my dnf run with a few attempts at troubleshooting on my end.
It's been exactly the same since the machine was set up.

[root@fedge ~]# dnf install geany-plugins-*
Last metadata expiration check: 1:36:46 ago on Wed Dec 14 06:17:33
2016.
Error: package geany-plugins-lipsum-1.29-1.fc25.x86_64 obsoletes geany-
plugins-geanylipsum <= 1.28 provided by geany-plugins-geanylipsum-1.28-
1.fc25.x86_64
(try to add '--allowerasing' to command line to replace conflicting
packages)
[root@fedge ~]# dnf --allowerasing install geany-plugins-*
Last metadata expiration check: 1:37:15 ago on Wed Dec 14 06:17:33
2016.
Error: package geany-plugins-lipsum-1.29-1.fc25.x86_64 obsoletes geany-
plugins-geanylipsum <= 1.28 provided by geany-plugins-geanylipsum-1.28-
1.fc25.x86_64
[root@fedge ~]# dnf remove geany-plugins-lipsum
No match for argument: geany-plugins-lipsum
Error: No packages marked for removal.

On Wed, 2016-12-14 at 12:53 +0100, Dominic Hopf wrote:
> Greetings,
>
> just to clarify the situation, I actually am the Fedora packager of
> Geany and Geany-Plugins. Even if there probably is a syntax issue in
> the RPM Specfile - which is stated by rpmlint you see some more
> information about this update, beneath some others, the fact that it
> is available in the stable Fedora repositories. There is no single
> Fedora package of Geany-Plugins. It is intended (and usual on Fedora)
> to install stuff this way:
>
>     sudo dnf install 'geany-plugins-*'
>
>
> Regards,
> Dominic
>
>
>
>
> On Tue, Dec 13, 2016 at 7:53 PM, Fedge No <[hidden email]>
> wrote:
> > If you have a look at that link it apparently shows that both geany
> > and
> > geany-plugins failed rpmlint, whatever that is. That's probably why
> > the
> > plugins aren't available as a single package. I am not sure why
> > geany
> > itself is. Maybe an older version was provided before the new one
> > failed that lint test.
> >
> > On Tue, 2016-12-13 at 10:01 +0100, Dominic Hopf wrote:
> > > Greetings,
> > >
> > > as far as I can see the current Geany-Plugins 1.29 should be
> > > available in the stable Fedora 25 repositories:
> > >
> > >     https://bodhi.fedoraproject.org/updates/FEDORA-2016-01ad22d5c
> > 5
> > >
> > > Please note that, with dnf, the usage for the installation
> > changed a
> > > bit and you will have to put quotes around the package pattern:
> > >
> > >     sudo dnf install 'geany-plugins-*'
> > >
> > > However, you are right that the installation instructions on the
> > > website were not up-to-date. This now has been fixed with http://
> > tiny
> > > .cc/q4qphy
> > >
> > > Regards,
> > > Dominic
> > >
> > >
> > >
> > > On Tue, Dec 13, 2016 at 6:01 AM, Fedge No <[hidden email]>
> > > wrote:
> > > > The Fedora plugins documentation page is a little outdated. The
> > > > page
> > > > shows to use yum, not dnf and the repo doesn't have a package
> > with
> > > > the
> > > > name geany-plugins. I suppose the yum command is still mapped
> > to
> > > > dnf and
> > > > that would be better for CentOS users or something. I was
> > hoping to
> > > > install them all with one shot but it looks like I will have to
> > do
> > > > them
> > > > individually for now. There seems to be two versions of
> > > > geany-plugins-lipsum that conflict as well so dnf install
> > > > geany-plugins-* doesn't work, either. I don't know if this is
> > all
> > > > intentional but I found it a bit inconvenient. Most people
> > using
> > > > Geany
> > > > probably know how to work around this sort of stuff but it is
> > what
> > > > it is.
> > > >
> > > > _______________________________________________
> > > > Users mailing list
> > > > [hidden email]
> > > > https://lists.geany.org/cgi-bin/mailman/listinfo/users
> > > >
> > >
> > >
> > >
> > > -- 
> > > Diese E-Mail ist nicht mit GPG signiert, da ich sie vom
> > Webinterface
> > > aus geschrieben habe.
> > >
> > > This mail is not signed with GPG because I wrote it from web
> > > interface.
> > > _______________________________________________
> > > Users mailing list
> > > [hidden email]
> > > https://lists.geany.org/cgi-bin/mailman/listinfo/users
> > _______________________________________________
> > Users mailing list
> > [hidden email]
> > https://lists.geany.org/cgi-bin/mailman/listinfo/users
> >
>
>
>
> -- 
> Diese E-Mail ist nicht mit GPG signiert, da ich sie vom Webinterface
> aus geschrieben habe.
>
> This mail is not signed with GPG because I wrote it from web
> interface.
> _______________________________________________
> Users mailing list
> [hidden email]
> https://lists.geany.org/cgi-bin/mailman/listinfo/users
_______________________________________________
Users mailing list
[hidden email]
https://lists.geany.org/cgi-bin/mailman/listinfo/users



--
Diese E-Mail ist nicht mit GPG signiert, da ich sie vom Webinterface aus geschrieben habe.

This mail is not signed with GPG because I wrote it from web interface.

_______________________________________________
Users mailing list
[hidden email]
https://lists.geany.org/cgi-bin/mailman/listinfo/users
Loading...